Subject: Re: bug#1379: emacs --daemon not working with X11 dual-head

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 20 Nov 2008 15:17:54 -0800 (PST)

[email-masked] writes:

  > >>>>> "Stefan" == Stefan Monnier <[email-masked]> writes:
  > 
  >     >>>> I wanted to start using the "emacs --daemon" option with
  >     >>>> subsequent "emacsclient ..." invocations. Everything works
  >     >>>> fine, as long as only one of my X11 screens is used. But when
  >     >>>> I want to start a new frame on display :0.1 while one or more
  >     >>>> frames are already running on display :0.0 the following
  >     >>>> happens:
  >     >>>> 
  >     >>>> - Executing "emacsclient -c " for the first time: A frame
  >     >>>> appears, and immediately disappears again with the error
  >     >>>> message *ERROR*: X protocol error: BadDrawable (invalid
  >     >>>> Pixmap or Window parameter) on protocol request 14
  >     >>>> 
  >     >>>> - Executing "emacsclient -c " for the second time: A frame
  >     >>>> appears, but emacs is in a complete dead lock after this.
  >     >>>> 
  >     >>>> Used Version: i emacs-snapshot 1:20081013-1
  >     >>>> 
  >     >>>> on Ubuntu 8.10 / x86_64
  > 
  > 
  >     Dan> Can you please try to see if your scenario works without
  >     Dan> using the --daemon option?
  > 
  >     Stefan> Actually, can you just try it without any
  >     Stefan> emacsclient/server?  I.e. start Emacs on one of the
  >     Stefan> screens, then do M-x make-frame-on-display and specify the
  >     Stefan> other display.
  > 
  > Good idea. It also doesn't work. Same error message.

Can you please try to recompile emacs with --with-x-toolkit=lucid ? 
And try again 
emacs -Q and M-x make-frame-on-display ?
(This is to make sure this is not a Gtk bug)